curl --location -g --request GET 'https://api.stream.estate/searches/{id}' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api_key>'
{
"@context": "string",
"@id": "string",
"@type": "string",
"bedroomMin": 0,
"budgetMax": 0,
"budgetMin": 0,
"createdAt": "2019-08-24T14:15:22Z",
"endpointRecipient": "https://www.mycompany.com/webhook_match",
"eventEndpoint": "https://www.mycompany.com/webhook_updates",
"excludedCities": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"article": "string",
"insee": "string",
"libelle": "string",
"name": "string",
"zipcode": "string"
}
],
"excludedSiteCategories": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"name": "string"
}
],
"expressions": [],
"furnished": true,
"hidePropertyContact": true,
"includedCities": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"article": "string",
"insee": "string",
"libelle": "string",
"name": "string",
"zipcode": "string"
}
],
"includedDepartments": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"chefLieu": "string",
"departmentCode": "string",
"name": "string",
"nameClean": "string"
}
],
"includedSiteCategories": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"name": "string"
}
],
"landSurfaceMax": 0,
"landSurfaceMin": 0,
"lastAlertAt": "2019-08-24T14:15:22Z",
"lat": 48.864716,
"lon": 2.349014,
"notificationEnabled": false,
"notificationRecipient": "foo@bar.com",
"pricePerMeterMax": 0,
"pricePerMeterMin": 0,
"propertyTypes": [0, 1],
"publisherTypes": [0, 1],
"radius": 20,
"roomMin": 0,
"subscribedEvents": [
"ad.update.price"
],
"surfaceMax": 0,
"surfaceMin": 0,
"title": "string",
"token": "string",
"transactionType": 0,
"updatedAt": "2019-08-24T14:15:22Z",
"user": "string",
"withCoherentPrice": true,
"withVirtualTour": true
}
Searches
Search
Returns a single existing search matching the given id.
GET
/
searches
/
{id}
curl --location -g --request GET 'https://api.stream.estate/searches/{id}' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api_key>'
{
"@context": "string",
"@id": "string",
"@type": "string",
"bedroomMin": 0,
"budgetMax": 0,
"budgetMin": 0,
"createdAt": "2019-08-24T14:15:22Z",
"endpointRecipient": "https://www.mycompany.com/webhook_match",
"eventEndpoint": "https://www.mycompany.com/webhook_updates",
"excludedCities": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"article": "string",
"insee": "string",
"libelle": "string",
"name": "string",
"zipcode": "string"
}
],
"excludedSiteCategories": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"name": "string"
}
],
"expressions": [],
"furnished": true,
"hidePropertyContact": true,
"includedCities": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"article": "string",
"insee": "string",
"libelle": "string",
"name": "string",
"zipcode": "string"
}
],
"includedDepartments": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"chefLieu": "string",
"departmentCode": "string",
"name": "string",
"nameClean": "string"
}
],
"includedSiteCategories": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"name": "string"
}
],
"landSurfaceMax": 0,
"landSurfaceMin": 0,
"lastAlertAt": "2019-08-24T14:15:22Z",
"lat": 48.864716,
"lon": 2.349014,
"notificationEnabled": false,
"notificationRecipient": "foo@bar.com",
"pricePerMeterMax": 0,
"pricePerMeterMin": 0,
"propertyTypes": [0, 1],
"publisherTypes": [0, 1],
"radius": 20,
"roomMin": 0,
"subscribedEvents": [
"ad.update.price"
],
"surfaceMax": 0,
"surfaceMin": 0,
"title": "string",
"token": "string",
"transactionType": 0,
"updatedAt": "2019-08-24T14:15:22Z",
"user": "string",
"withCoherentPrice": true,
"withVirtualTour": true
}
Path parameters
string
required
UUID of the selected search
curl --location -g --request GET 'https://api.stream.estate/searches/{id}' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api_key>'
{
"@context": "string",
"@id": "string",
"@type": "string",
"bedroomMin": 0,
"budgetMax": 0,
"budgetMin": 0,
"createdAt": "2019-08-24T14:15:22Z",
"endpointRecipient": "https://www.mycompany.com/webhook_match",
"eventEndpoint": "https://www.mycompany.com/webhook_updates",
"excludedCities": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"article": "string",
"insee": "string",
"libelle": "string",
"name": "string",
"zipcode": "string"
}
],
"excludedSiteCategories": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"name": "string"
}
],
"expressions": [],
"furnished": true,
"hidePropertyContact": true,
"includedCities": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"article": "string",
"insee": "string",
"libelle": "string",
"name": "string",
"zipcode": "string"
}
],
"includedDepartments": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"chefLieu": "string",
"departmentCode": "string",
"name": "string",
"nameClean": "string"
}
],
"includedSiteCategories": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"name": "string"
}
],
"landSurfaceMax": 0,
"landSurfaceMin": 0,
"lastAlertAt": "2019-08-24T14:15:22Z",
"lat": 48.864716,
"lon": 2.349014,
"notificationEnabled": false,
"notificationRecipient": "foo@bar.com",
"pricePerMeterMax": 0,
"pricePerMeterMin": 0,
"propertyTypes": [0, 1],
"publisherTypes": [0, 1],
"radius": 20,
"roomMin": 0,
"subscribedEvents": [
"ad.update.price"
],
"surfaceMax": 0,
"surfaceMin": 0,
"title": "string",
"token": "string",
"transactionType": 0,
"updatedAt": "2019-08-24T14:15:22Z",
"user": "string",
"withCoherentPrice": true,
"withVirtualTour": true
}